Evaluations
List evaluation runs
GET
/
v1
/
evals
/
{eval_id}
/
runs
List evaluation runs
curl --request GET \
--url https://api.veri.studio/v1/evals/{eval_id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/evals/{eval_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/evals/{eval_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"eval_id": "<string>",
"model": "<string>",
"runner_type": "<string>",
"epochs": 123,
"samples_per_item": 123,
"phase": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"generation_params": {
"max_tokens": 123,
"temperature": 123,
"top_p": 123,
"stop": [
"<string>"
],
"seed": 123
},
"num_samples": 123,
"deployment_id": "<string>",
"snapshot": "<unknown>",
"runner_version": "<string>",
"runner_image_digest": "<string>",
"seed": 123,
"sampling_policy": "<string>",
"total_prompt_tokens": 123,
"total_completion_tokens": 123,
"total_cost_usd": 123,
"usage": "<unknown>",
"scoring_revision": 123,
"external_task_arn": "<string>",
"artifacts": "<unknown>",
"baseline_run_id": "<string>",
"gate_status": "<string>",
"gate_results": "<unknown>",
"total_items": 123,
"processed_items": 123,
"results": {
"total_items": 123,
"scores": {}
},
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Evaluation ID
⌘I
List evaluation runs
curl --request GET \
--url https://api.veri.studio/v1/evals/{eval_id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/evals/{eval_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/evals/{eval_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"eval_id": "<string>",
"model": "<string>",
"runner_type": "<string>",
"epochs": 123,
"samples_per_item": 123,
"phase": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"generation_params": {
"max_tokens": 123,
"temperature": 123,
"top_p": 123,
"stop": [
"<string>"
],
"seed": 123
},
"num_samples": 123,
"deployment_id": "<string>",
"snapshot": "<unknown>",
"runner_version": "<string>",
"runner_image_digest": "<string>",
"seed": 123,
"sampling_policy": "<string>",
"total_prompt_tokens": 123,
"total_completion_tokens": 123,
"total_cost_usd": 123,
"usage": "<unknown>",
"scoring_revision": 123,
"external_task_arn": "<string>",
"artifacts": "<unknown>",
"baseline_run_id": "<string>",
"gate_status": "<string>",
"gate_results": "<unknown>",
"total_items": 123,
"processed_items": 123,
"results": {
"total_items": 123,
"scores": {}
},
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}
